Subject: Jessie>Stretch Update Challenges

From: Paul Gallaway <[email-masked]>
Date: Thu, 1 Sep 2016 17:30:57 -0400

Actually, this didn't go too badly. Better than expected even. I have
two systems I upgraded. Ones a desktop I rarely use and it went
perfect so I went for it on my HTPC/mythtv/Steam system as well.

Here's the process I followed:
Changed my sources in /etc/apt/sources.list from jessie to stretch.
Use the release names rather than stable/testing because you will
stick with stretch when it is pushed to stable rather than switching
over to the new testing release.
Changed my /etc/apt/preferences to prefer testing packages over stable.
Ran the updates first with apt-get upgrade and then apt-get
dist-upgrade. Once I could issue an apt-get upgrade without having any
required updates I rebooted the systems. I one system it required an
apt-get -f install when something got hung up but pretty painless
overall.

This update resolved a couple issues I was having:
-LIRC was no longer functioning properly with kernels in Jessie
backports since 4.5 or so (confirmed to continue to work with 4.4). It
seems to 'just work' again with Stretch under kernel 4.6.
-I was having some issues with sound in Steam with one system where I
use SPDIF. I'm not certain at what point it was introduced (I don't
play that often but was there with/without the NVidia videocard but
not on my other desktop system which uses NVidia-legacy) and I don't
know if it was pulse, or alsa or kernel or some configuration file,
but it's working perfectly now.
-With Jessie Backports I had to apply a patch to get the NVidia
modules to compile with 4.x kernels. It wasn't necessary with Stretch.

And here's where I'm still struggling:
-The KDE desktop doesn't want to appear. My system is set for KDM to
autologin my user and start mythtv; this didn't change and worked
perfectly (as does LIRC as mentioned above). However, if I close
mythtv, I get a black screen. I can use alt+F1 to open applications
menu, apparently, I can't see it, it's all black. However, I can type
a program name to make it to launch (like 'system settings' so I could
make the fonts legible from my couch, or web browser, or konsole). So
currently I'm able to launch any of the programs but it sure would be
nice to be able to see what I'm doing. Also the program switcher works
and the task bar so I can see what I have open and switch programs
once they are open. So far I've tried removing .cache and certain
files in .config without success.
-Problem two I'm getting the KDE task bar overtop of the MythTV menu
and videos. However when I open the same recordings using mplayer (and
fullscreen switch) the video goes over the bar.

Based on these two issues I am wondering if it's a compositing issue
related to the NVidia driver ... *sigh* I know, hooray for binary
blobs!

I'll spend some time tonight trying to resolve these two issues but if
there's any insight on migrating to KDE Plasma 5 I'd appreciate it
(last KDE email to the list was March 17 so not holding out hope...).
My other desktop system uses Gnome Shell which appears to be running
fine so maybe I'll just try Gnome Shell but if it's a compositing
problem, I'll likely have the same issue. Mostly I'm posting this as
an FYI for people starting to consider the upgrade. I have one other
laptop that has KDE 4 that I'll hold off on until I can confirm I can
get KDE 5 it to work properly.